VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec Class Reference

The `Disk.UpdateSpec` class describes the updates to be made to the configuration of a virtual disk. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.DiskTypes.BackingSpec | GetBacking ()
| Physical resource backing for the virtual disk.
void | SetBacking (vmware.vcenter.vm.hardware.DiskTypes.BackingSpec backing)
| Physical resource backing for the virtual disk.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Disk.UpdateSpec` class describes the updates to be made to the configuration of a virtual disk.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.DiskTypes.BackingSpec vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual disk.

This field may only be modified if the virtual machine is not powered on.

override int vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::SetBacking | ( | vmware.vcenter.vm.hardware.DiskTypes.BackingSpec | backing | ) | `[inline]`

Physical resource backing for the virtual disk.

This field may only be modified if the virtual machine is not powered on.

override string vmware::vcenter::vm::hardware::DiskTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DiskTypes.cs